DCMTK: DSRSOPInstanceReferenceList::StudyStruct Struct Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DSRSOPInstanceReferenceList::StudyStruct Struct Reference

Internal structure defining the study list items. More...

## Public Member Functions
| StudyStruct (const OFString &studyUID)
| constructor
| ~StudyStruct ()
| destructor
size_t | getNumberOfInstances () const
| get number of instance stored in the list of series
OFCondition | read (DcmItem &dataset, const size_t flags)
| read series and instance level from dataset
OFCondition | write (DcmItem &dataset) const
| write study, series and instance level attributes to dataset
OFCondition | readXML (const DSRXMLDocument &doc, DSRXMLCursor cursor, const size_t flags)
| read study, series and instance level attributes from XML document
OFCondition | writeXML (STD_NAMESPACE ostream &stream, const size_t flags) const
| write study, series and instance level attributes in XML format
SeriesStruct * | gotoSeries (const OFString &seriesUID)
| set cursor to the specified series entry (if existent)
InstanceStruct * | gotoInstance (const OFString &instanceUID)
| set cursor to the specified instance entry (if existent)
OFCondition | gotoFirstItem ()
| select the first item in the list.
OFCondition | gotoNextItem ()
| select the next item in the list.
OFCondition | addItem (const OFString &seriesUID, const OFString &sopClassUID, const OFString &instanceUID)
| add new entry to the list of series and instances (if not already existent).
OFCondition | removeItem ()
| remove the current item from the list of series and instances.
void | removeIncompleteItems ()
| remove empty/incomplete items from the list.
| OFListIterator (SeriesStruct *) Iterator
| currently selected series (cursor)

## Public Attributes
const OFString | StudyUID
| Study Instance UID (VR=UI, type 1).
OFList< SeriesStruct * > | SeriesList
| list of referenced series

## Detailed Description

Internal structure defining the study list items.

## Constructor & Destructor Documentation

## ◆ StudyStruct()

DSRSOPInstanceReferenceList::StudyStruct::StudyStruct | ( | const OFString & | studyUID | ) |

constructor

Parameters

  studyUID | study instance UID

## Member Function Documentation

## ◆ addItem()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::addItem | ( | const OFString & | seriesUID,
|  | const OFString & | sopClassUID,
|  | const OFString & | instanceUID )

add new entry to the list of series and instances (if not already existent).

Finally, the specified items are selected as the current one.

Parameters

  seriesUID | series instance UID of the entry to be added
  sopClassUID | SOP class UID of the entry to be added
  instanceUID | SOP instance UID of the entry to be added

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfInstances()

size_t DSRSOPInstanceReferenceList::StudyStruct::getNumberOfInstances | ( |  | ) | const

get number of instance stored in the list of series

Returns
  number of instances

## ◆ gotoFirstItem()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::gotoFirstItem | ( |  | ) |

select the first item in the list.

That means the first instance in the first series of the current study.

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoInstance()

InstanceStruct * DSRSOPInstanceReferenceList::StudyStruct::gotoInstance | ( | const OFString & | instanceUID | ) |

set cursor to the specified instance entry (if existent)

Parameters

  instanceUID | SOP instance UID of the entry to be searched for

Returns
  pointer to the instance structure if successful, NULL otherwise

## ◆ gotoNextItem()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::gotoNextItem | ( |  | ) |

select the next item in the list.

That means the next instance in the current series, or the first instance in the next series (if available).

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoSeries()

SeriesStruct * DSRSOPInstanceReferenceList::StudyStruct::gotoSeries | ( | const OFString & | seriesUID | ) |

set cursor to the specified series entry (if existent)

Parameters

  seriesUID | series instance UID of the entry to be searched for

Returns
  pointer to the series structure if successful, NULL otherwise

## ◆ read()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::read | ( | DcmItem & | dataset,
|  | const size_t | flags )

read series and instance level from dataset

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ readXML()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::readXML | ( | const DSRXMLDocument & | doc,
|  | DSRXMLCursor | cursor,
|  | const size_t | flags )

read study, series and instance level attributes from XML document

Parameters

  doc | document containing the XML file content
  cursor | cursor pointing to the starting node
  flags | flag used to customize the reading process (see DSRTypes::XF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ removeIncompleteItems()

void DSRSOPInstanceReferenceList::StudyStruct::removeIncompleteItems | ( |  | ) |

remove empty/incomplete items from the list.

(e.g. series with no instances) Please note that this function modifies the value of 'Iterator'.

## ◆ removeItem()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::removeItem | ( |  | ) |

remove the current item from the list of series and instances.

After successful removal the cursors are set to the next valid position.

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::write | ( | DcmItem & | dataset | ) | const

write study, series and instance level attributes to dataset

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ writeXML()

OFCondition DSRSOPInstanceReferenceList::StudyStruct::writeXML | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags ) const

write study, series and instance level attributes in XML format

Parameters

  stream | output stream to which the XML document is written
  flags | flag used to customize the output (see DSRTypes::XF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this struct was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrsoprf.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1